JythonTopLevelDataSetHandlerV2.JythonHookFunction (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2, class: JythonTopLevelDataSetHandlerV2, enum: JythonHookFunction

Package ch.systemsx.cisd.etlserver.registrator.api.v2

# Enum Class JythonTopLevelDataSetHandlerV2.JythonHookFunction

java.lang.Object
java.lang.Enum<JythonTopLevelDataSetHandlerV2.JythonHookFunction>
ch.systemsx.cisd.etlserver.registrator.api.v2.JythonTopLevelDataSetHandlerV2.JythonHookFunction

All Implemented Interfaces:
  `Serializable`, `Comparable<JythonTopLevelDataSetHandlerV2.JythonHookFunction>`, `Constable`

Enclosing class:
  `JythonTopLevelDataSetHandlerV2<T extends ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation>`

public static enum JythonTopLevelDataSetHandlerV2.JythonHookFunction extends Enum<JythonTopLevelDataSetHandlerV2.JythonHookFunction>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMMIT_TRANSACTION_FUNCTION_NAME`
  The name of the function called after successful transaction commit.
  `DID_ENCOUNTER_SECONDARY_TRANSACTION_ERRORS_FUNCTION_NAME`
  The name of the function called when secondary transactions, DynamicTransactionQuery objects, fail.
  `POST_REGISTRATION_FUNCTION_NAME`
  The name of the function called just after successful registration of datasets in application server.
  `POST_STORAGE_FUNCTION_NAME`
  The name of the function called after successful transaction commit.
  `PRE_REGISTRATION_FUNCTION_NAME`
  The name of the function called just before registration of datasets in application server.
  `PROCESS_FUNCTION`
  The name of the v2 process function, that is executed during the registration.
  `ROLLBACK_PRE_REGISTRATION_FUNCTION_NAME`
  The name of the function to define to hook into the transaction rollback mechanism.
  `ROLLBACK_SERVICE_FUNCTION_NAME`
  The name of the function to define to hook into the service rollback mechanism.
  `ROLLBACK_TRANSACTION_FUNCTION_NAME`
  The name of the function to define to hook into the transaction rollback mechanism.
  `SHOULD_RETRY_PROCESS_FUNCTION_NAME`
  The name of the function to define to hook into the transaction rollback mechanism.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `name`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JythonTopLevelDataSetHandlerV2.JythonHookFunction`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static JythonTopLevelDataSetHandlerV2.JythonHookFunction[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PROCESS_FUNCTION

    public static final JythonTopLevelDataSetHandlerV2.JythonHookFunction PROCESS_FUNCTION
    The name of the v2 process function, that is executed during the registration. A replacement for a top-level file body code in v1.

  - ### ROLLBACK_SERVICE_FUNCTION_NAME

    public static final JythonTopLevelDataSetHandlerV2.JythonHookFunction ROLLBACK_SERVICE_FUNCTION_NAME
    The name of the function to define to hook into the service rollback mechanism. V1 only.

  - ### ROLLBACK_TRANSACTION_FUNCTION_NAME

    public static final JythonTopLevelDataSetHandlerV2.JythonHookFunction ROLLBACK_TRANSACTION_FUNCTION_NAME
    The name of the function to define to hook into the transaction rollback mechanism. V1 only.

  - ### COMMIT_TRANSACTION_FUNCTION_NAME

    public static final JythonTopLevelDataSetHandlerV2.JythonHookFunction COMMIT_TRANSACTION_FUNCTION_NAME
    The name of the function called after successful transaction commit. V1 only.

  - ### POST_STORAGE_FUNCTION_NAME

    public static final JythonTopLevelDataSetHandlerV2.JythonHookFunction POST_STORAGE_FUNCTION_NAME
    The name of the function called after successful transaction commit.

  - ### PRE_REGISTRATION_FUNCTION_NAME

    public static final JythonTopLevelDataSetHandlerV2.JythonHookFunction PRE_REGISTRATION_FUNCTION_NAME
    The name of the function called just before registration of datasets in application server.

  - ### POST_REGISTRATION_FUNCTION_NAME

    public static final JythonTopLevelDataSetHandlerV2.JythonHookFunction POST_REGISTRATION_FUNCTION_NAME
    The name of the function called just after successful registration of datasets in application server.

  - ### ROLLBACK_PRE_REGISTRATION_FUNCTION_NAME

    public static final JythonTopLevelDataSetHandlerV2.JythonHookFunction ROLLBACK_PRE_REGISTRATION_FUNCTION_NAME
    The name of the function to define to hook into the transaction rollback mechanism.

  - ### SHOULD_RETRY_PROCESS_FUNCTION_NAME

    public static final JythonTopLevelDataSetHandlerV2.JythonHookFunction SHOULD_RETRY_PROCESS_FUNCTION_NAME
    The name of the function to define to hook into the transaction rollback mechanism.

  - ### DID_ENCOUNTER_SECONDARY_TRANSACTION_ERRORS_FUNCTION_NAME

    public static final JythonTopLevelDataSetHandlerV2.JythonHookFunction DID_ENCOUNTER_SECONDARY_TRANSACTION_ERRORS_FUNCTION_NAME
    The name of the function called when secondary transactions, DynamicTransactionQuery objects, fail.

- ## Field Details

  - ### name

    public final String name

- ## Method Details

  - ### values

    public static JythonTopLevelDataSetHandlerV2.JythonHookFunction[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static JythonTopLevelDataSetHandlerV2.JythonHookFunction valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null